intensecoin.com
Mandatory Wallet Update By Dec 3
At block 76,500, version 1.4.1 or later of the Intense Coin wallet or daemon will be required. Block 76,500 should occur on or around December 3, 2017. If you do not update your wallet, you will no longer be able to synchronize the main chain, and your blockchain will fork. Version 1.4.1 includes